# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/dbus-binding-tool /usr/bin/gconftool-2 /usr/bin/gdk-pixbuf-csource /usr/bin/glib-genmarshal /usr/bin/perl /usr/bin/pkg-config /usr/bin/python gcc-c++ libX11-devel libXext-devel libXft-devel libdante-devel libgtk+2-devel libnet2-devel libntlm-devel libpci-devel perl(Config.pm) perl(Exporter.pm) perl(File/Spec/Unix.pm) perl(List/Util.pm) perl(Storable.pm) perl(Symbol.pm) perl(Time/HiRes.pm) perl(overload.pm) pkgconfig(dbus-1) pkgconfig(gtkspell-2.0) pkgconfig(libpci) pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
Summary:   A popular and easy to use graphical IRC (chat) client
Name:      hexchat
Version:   2.9.5
Release:   alt1_1
Group:     Networking/WWW
License:   GPLv2+
URL:       http://www.hexchat.org
Source:    http://dl.hexchat.org/hexchat/%{name}-%{version}.tar.xz

BuildRequires: perl-devel python-devel pciutils-devel
BuildRequires: libdbus-glib-devel intltool libtool
BuildRequires: glib2-devel gtk2-devel
BuildRequires: libproxy-devel libsexy-devel libnotify-devel libssl-devel
BuildRequires: desktop-file-utils icon-theme-hicolor
Source44: import.info

%description
HexChat is an easy to use graphical IRC chat client for the X Window System.
It allows you to join multiple IRC channels (chat rooms) at the same time, 
talk publicly, private one-on-one conversations etc. Even file transfers
are possible.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --enable-spell=libsexy

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install

# Get rid of libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove include, not worth a -devel package
rm -f %{buildroot}%{_includedir}/hexchat-plugin.h

# Remove unused schema
rm -f %{buildroot}%{_sysconfdir}/gconf/schemas/apps_hexchat_url_handler.schemas

# Fix opening irc:// links by adding mimetype and editing exec
desktop-file-install \
    --add-mime-type='x-scheme-handler/irc;x-scheme-handler/ircs' \
    --remove-key=Exec \
    --dir=%{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/hexchat.desktop

# Workaround for EL's version of desktop-file-install
echo Exec="sh -c \"hexchat --existing --url %u || exec hexchat\"">>%{buildroot}%{_datadir}/applications/hexchat.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/hexchat
%doc share/doc/*
%dir %{_libdir}/hexchat
%dir %{_libdir}/hexchat/plugins
%{_libdir}/hexchat/plugins/checksum.so
%{_libdir}/hexchat/plugins/doat.so
%{_libdir}/hexchat/plugins/fishlim.so
%{_libdir}/hexchat/plugins/sysinfo.so
%{_libdir}/hexchat/plugins/perl.so
%{_libdir}/hexchat/plugins/python.so
%{_datadir}/applications/hexchat.desktop
%_iconsdir/hicolor/*/*/*
%{_datadir}/dbus-1/services/org.hexchat.service.service
%{_mandir}/man1/**

%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.5-alt1_1
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.9.4-alt1_1
- initial fc import

